Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/message.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $NewMessageLimit = $ini->variable( "eZForumMain", "NewMessageLimit" )
| $AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )
| $locale = new eZLocale( $Language )
| $t
| $message = new eZForumMessage( $MessageID )
| $forum = new eZForum( $message->forumID() )
| $group =& $forum->group()
| $viewer = $user
if((is_a( $group, "eZUserGroup")) &&( $group->id() !=0)) | else
| $categories = $forum->categories()
| $author = $message->user()
else | $anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )
| $user =& eZUser::currentUser()
if(( $MessageAuthor !=$anonymous) and($user)) | $time = $message->postingTime()
if(is_a( $viewer, "eZUser")) | $topMessage = $message->threadTop( $message )
| $messages = $forum->messageThreadTree( $message->threadID() )
| $level = 0
| $i = 0

## Variable Documentation

## ◆ $AllowHTML

$AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )

Definition at line 32 of file user/message.php.

## ◆ $anonymous

else $anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )

Definition at line 127 of file user/message.php.

## ◆ $author

$author = $message->user()

Definition at line 122 of file user/message.php.

## ◆ $categories

$categories = $forum->categories()

Definition at line 93 of file user/message.php.

## ◆ $forum

$forum = new eZForum( $message->forumID() )

Definition at line 68 of file user/message.php.

## ◆ $group

$group =& $forum->group()

Definition at line 70 of file user/message.php.

## ◆ $i

$i = 0

Definition at line 181 of file user/message.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file user/message.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 30 of file user/message.php.

## ◆ $level

$level = 0

Definition at line 179 of file user/message.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 42 of file user/message.php.

## ◆ $message

$message = new eZForumMessage( $MessageID )

Definition at line 66 of file user/message.php.

## ◆ $messages

$messages = $forum->messageThreadTree( $message->threadID() )

Definition at line 175 of file user/message.php.

## ◆ $NewMessageLimit

$NewMessageLimit = $ini->variable( "eZForumMain", "NewMessageLimit" )

Definition at line 31 of file user/message.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
"kernel/ezforum/user/intl", $Language, "message.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/message.php:30
$ini
$ini
Definition: user/message.php:29

Definition at line 44 of file user/message.php.

## ◆ $time

if (($MessageAuthor !=$anonymous) and( $user)) $time = $message->postingTime()

Definition at line 156 of file user/message.php.

## ◆ $topMessage

if (is_a($viewer, "eZUser")) $topMessage = $message->threadTop( $message )

Definition at line 171 of file user/message.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 144 of file user/message.php.

## ◆ $viewer

$viewer = $user

Definition at line 71 of file user/message.php.

## ◆ else

if ($message->id() > 0 &&! $message->isTemporary() &&$message->isApproved()) else

Initial value:
{
$readPermission = true

Definition at line 88 of file user/message.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.